Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Class PropertyId

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.properties.extended.PropertyId

public class PropertyId
extends java.lang.Object

Field Summary
`static java.lang.String` `DEFAULT_ID` Default ID.
`static java.lang.String` `SLOT_ID` ID of slot property.
`static java.lang.String` `STEREOTYPE_VALUE_ID` ID of stereotype property.

Constructor Summary
`PropertyId(java.lang.String id, java.lang.Object hint, java.lang.String type)` Constructor for PropertyId.

Method Summary
`boolean` `equals(java.lang.Object arg0)`
`java.lang.Object` `getHint()` Returns the hint.
`java.lang.String` `getId()` Returns the id.
`java.lang.String` `getType()` Returns the type.
`int` `hashCode()`
`void` `setHint(java.lang.Object object)`
`void` `setId(java.lang.String string)`
`void` `setType(java.lang.String string)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SLOT_ID

    public static final java.lang.String SLOT_ID

  ID of slot property.

  See Also:
    Constant Field Values

### STEREOTYPE_VALUE_ID

    public static final java.lang.String STEREOTYPE_VALUE_ID

  ID of stereotype property.

  See Also:
    Constant Field Values

### DEFAULT_ID

    public static final java.lang.String DEFAULT_ID

  Default ID.

  See Also:
    Constant Field Values

Constructor Detail

### PropertyId

    public PropertyId(java.lang.String id,
                      java.lang.Object hint,
                      java.lang.String type)

  Constructor for PropertyId.

Parameters:
  `id` - String
  `hint` - Object
  `type` - String

Method Detail

### getHint

    public java.lang.Object getHint()

  Returns the hint.

  Returns:
    Object

### getId

    public java.lang.String getId()

  Returns the id.

  Returns:
    String

### getType

    public java.lang.String getType()

  Returns the type.

  Returns:
    String

### equals

    public boolean equals(java.lang.Object arg0)

  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

### setId

    public void setId(java.lang.String string)

  Parameters:
    `string` -

### setHint

    public void setHint(java.lang.Object object)

  Parameters:
    `object` -

### setType

    public void setType(java.lang.String string)

  Parameters:
    `string` -

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.